Package wx :: Class DirDialog

[frames | no frames]

## Type DirDialog

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
            TopLevelWindow --+
                             |
                        Dialog --+
                                 |
                                DirDialog

wx.DirDialog allows the user to select a directory by browising the file system.

# Window Styles

> wx.DD_DEFAULT_STYLE | Equivalent to a combination of wx.DEFAULT_DIALOG_STYLE, wx.DD_NEW_DIR_BUTTON and wx.RESIZE_BORDER.
> wx.DD_DIR_MUST_EXIST | The dialog will allow the user to choose only an existing folder. When this style is not given, a 'Create new directory' button is added to the dialog (on Windows) or some other way is provided to the user to type the name of a new folder. Use this instead of deprecated wx.DD_NEW_DIR_BUTTON.
> wx.DD_CHANGE_DIR | Change the current working directory to the directory chosen by the user.

Method Summary
DirDialog | ``__init__`(self, parent, message, defaultPath, style, pos, size, name)` Constructor.
String | ``GetMessage`(self)` Returns the message that will be displayed on the dialog.
String | ``GetPath`(self)` Returns the default or user-selected path.
| ``SetMessage`(self, message)` Sets the message that will be displayed on the dialog.
| ``SetPath`(self, path)` Sets the default path.

Property Summary
| `Message`: See `GetMessage` and `SetMessage`
| `Path`: See `GetPath` and `SetPath`
| `thisown`: The membership flag

Class Variable Summary

Instance Method Details

### __init__(self, parent, message=DirSelectorPromptStr, defaultPath=EmptyString, style=DD_DEFAULT_STYLE, pos=DefaultPosition, size=DefaultSize, name=DirDialogNameStr)
(Constructor)

Constructor. Use ShowModal method to show the dialog.

  Parameters:
    `parent`
    (type=Window)

    `message`
    (type=String)

    `defaultPath`
    (type=String)

    `style`
    (type=long)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `name`
    (type=String)

  Returns:
    DirDialog
  Overrides:
    `wx.Dialog.__init__`

### GetMessage(self)

Returns the message that will be displayed on the dialog.

  Returns:
    String

### GetPath(self)

Returns the default or user-selected path.

  Returns:
    String

### SetMessage(self, message)

Sets the message that will be displayed on the dialog.

  Parameters:
    `message`
    (type=String)

### SetPath(self, path)

Sets the default path.

  Parameters:
    `path`
    (type=String)

Property Details

### Message

See `GetMessage` and `SetMessage`

  Get Method:
    `GetMessage`(self)
  Set Method:
    `SetMessage`(self, message)

### Path

See `GetPath` and `SetPath`

  Get Method:
    `GetPath`(self)
  Set Method:
    `SetPath`(self, path)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:24 2007 | http://epydoc.sf.net